Skip to main content
GET
/
v1
/
customers
/
{customerId}
/
form
Get all customer forms for a customer
curl --request GET \
  --url https://dev.flextell.ai/api/v1/customers/{customerId}/form \
  --header 'Authorization: Bearer <token>'
{
  "success": "<string>",
  "data": {
    "current_page": 123,
    "data": "<string>",
    "first_page_url": "<string>",
    "from": 123,
    "last_page": 123,
    "last_page_url": "<string>",
    "links": {},
    "next_page_url": "<string>",
    "path": "<string>",
    "per_page": 123,
    "prev_page_url": "<string>",
    "to": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

customerId
integer
required

The customer identifier

Query Parameters

per_page
integer | null
Required range: 1 <= x <= 100
page
integer | null
Required range: x >= 1
sort_by
enum<string> | null
Available options:
id,
status,
completed_at,
created_at,
updated_at
sort_order
enum<string> | null
Available options:
asc,
desc
status
enum<string>
Available options:
pending,
completed,
reviewed
template_id
integer | null
Required range: x >= 1
trashed
boolean | null

Response

success
string
required
data
LengthAwarePaginator · object
required